use v5.14;
open(F_INP,'<','./inp_fonts');
open(F_OUT,'>','./out_fonts');
my @arr=<F_INP>;

my @f=(

'(-dt-application-bold-i-normal-sans-(.+?)(-p-)(.+?)-(.+?))\"\s+\".+\"',
'(-dt-application-bold-i-normal-serif-(.+?)(-m-)(.+?)-(.+?))\"\s+\".+\"',  
'(-dt-application-bold-i-normal-serif-(.+?)(-p-)(.+?)-(.+?))\"\s+\".+\"',

'(-dt-application-bold-r-normal-sans-(.+?)(-p-)(.+?)-(.+?))\"\s+\".+\"',
'(-dt-application-bold-r-normal-serif-(.+?)(-m-)(.+?)-(.+?))\"\s+\".+\"',
'(-dt-application-bold-r-normal-serif-(.+?)(-p-)(.+?)-(.+?))\"\s+\".+\"',

'(-dt-application-medium-i-normal-sans-(.+?)(-p-)(.+?)-(.+?))\"\s+\".+\"',
'(-dt-application-medium-i-normal-serif-(.+?)(-m-)(.+?)-(.+?))\"\s+\".+\"',
'(-dt-application-medium-i-normal-serif-(.+?)(-p-)(.+?)-(.+?))\"\s+\".+\"',

'(-dt-application-medium-r-normal--(.+?)(-p-)(.+?)-(.+?))\"\s+\".+\"',
'(-dt-application-medium-r-normal-sans-(.+?)(-p-)(.+?)-(.+?))\"\s+\".+\"',
'(-dt-application-medium-r-normal-serif-(.+?)(-m-)(.+?)-(.+?))\"\s+\".+\"',
'(-dt-application-medium-r-normal-serif-(.+?)(-p-)(.+?)-(.+?))\"\s+\".+\"',

'(-dt-dtinfo-medium-r-normal--(.+?)(-p-)(.+?)-(.+?))\"\s+\".+\"',

'(-dt-interface system-medium-r-normal-l sans-(.+?)(-p-)(.+?)-(.+?))\"\s+\".+\"',
'(-dt-interface system-medium-r-normal-m sans-(.+?)(-p-)(.+?)-(.+?))\"\s+\".+\"',
'(-dt-interface system-medium-r-normal-s sans-(.+?)(-p-)(.+?)-(.+?))\"\s+\".+\"',
'(-dt-interface system-medium-r-normal-xl sans-(.+?)(-p-)(.+?)-(.+?))\"\s+\".+\"',
'(-dt-interface system-medium-r-normal-xs sans-(.+?)(-p-)(.+?)-(.+?))\"\s+\".+\"',
'(-dt-interface system-medium-r-normal-xxl sans-(.+?)(-p-)(.+?)-(.+?))\"\s+\".+\"',
'(-dt-interface system-medium-r-normal-xxs sans-(.+?)(-p-)(.+?)-(.+?))\"\s+\".+\"',

'(-dt-interface user-bold-r-normal-l sans-(.+?)(-m-)(.+?)-(.+?))\"\s+\".+\"',
'(-dt-interface user-bold-r-normal-m sans-(.+?)(-m-)(.+?)-(.+?))\"\s+\".+\"',
'(-dt-interface user-bold-r-normal-s sans-(.+?)(-m-)(.+?)-(.+?))\"\s+\".+\"',
'(-dt-interface user-bold-r-normal-xl sans-(.+?)(-m-)(.+?)-(.+?))\"\s+\".+\"',
'(-dt-interface user-bold-r-normal-xs sans-(.+?)(-m-)(.+?)-(.+?))\"\s+\".+\"',
'(-dt-interface user-bold-r-normal-xxl sans-(.+?)(-m-)(.+?)-(.+?))\"\s+\".+\"',
'(-dt-interface user-bold-r-normal-xxs sans-(.+?)(-m-)(.+?)-(.+?))\"\s+\".+\"',

'(-dt-interface user-medium-r-normal-l sans-(.+?)(-m-)(.+?)-(.+?))\"\s+\".+\"',
'(-dt-interface user-medium-r-normal-m sans-(.+?)(-m-)(.+?)-(.+?))\"\s+\".+\"',
'(-dt-interface user-medium-r-normal-s sans-(.+?)(-m-)(.+?)-(.+?))\"\s+\".+\"',
'(-dt-interface user-medium-r-normal-xl sans-(.+?)(-m-)(.+?)-(.+?))\"\s+\".+\"',
'(-dt-interface user-medium-r-normal-xs sans-(.+?)(-m-)(.+?)-(.+?))\"\s+\".+\"',
'(-dt-interface user-medium-r-normal-xxl sans-(.+?)(-m-)(.+?)-(.+?))\"\s+\".+\"',
'(-dt-interface user-medium-r-normal-xxs sans-(.+?)(-m-)(.+?)-(.+?))\"\s+\".+\"'

);

my @r=(

'-misc-dejavu sans-bold-o-normal--' ,
'-misc-dejavu sans mono-bold-o-normal--',  
'-misc-dejavu serif-bold-i-normal--',

'-misc-dejavu sans-bold-r-normal--' ,
'-misc-dejavu sans mono-bold-r-normal--',
'-misc-dejavu serif-bold-r-normal--',

'-misc-dejavu sans-medium-o-normal--' ,
'-misc-dejavu sans mono-medium-o-normal--',
'-misc-dejavu serif-medium-i-normal--',

'-misc-dejavu sans-medium-r-normal--' ,
'-misc-dejavu sans-medium-r-normal--' ,
'-misc-dejavu sans mono-medium-r-normal--',
'-misc-dejavu serif-medium-r-normal--',

'-misc-dejavu sans-medium-r-normal--',

'-misc-dejavu serif-medium-r-normal--',
'-misc-dejavu serif-medium-r-normal--',
'-misc-dejavu serif-medium-r-normal--',
'-misc-dejavu serif-medium-r-normal--',
'-misc-dejavu serif-medium-r-normal--',
'-misc-dejavu serif-medium-r-normal--',
'-misc-dejavu serif-medium-r-normal--',

'-misc-dejavu sans mono-bold-r-normal--',
'-misc-dejavu sans mono-bold-r-normal--',
'-misc-dejavu sans mono-bold-r-normal--',
'-misc-dejavu sans mono-bold-r-normal--',
'-misc-dejavu sans mono-bold-r-normal--',
'-misc-dejavu sans mono-bold-r-normal--',
'-misc-dejavu sans mono-bold-r-normal--',

'-misc-dejavu sans mono-medium-r-normal--',
'-misc-dejavu sans mono-medium-r-normal--',
'-misc-dejavu sans mono-medium-r-normal--',
'-misc-dejavu sans mono-medium-r-normal--',
'-misc-dejavu sans mono-medium-r-normal--',
'-misc-dejavu sans mono-medium-r-normal--',
'-misc-dejavu sans mono-medium-r-normal--'

);

my @rr=(

'-misc-dejavu sans-bold-o-normal--' ,
'-misc-dejavu serif condensed-bold-i-semicondensed--',  
'-misc-dejavu serif-bold-i-normal--',

'-misc-dejavu sans-bold-r-normal--' ,
'-misc-dejavu serif condensed-bold-r-semicondensed--',
'-misc-dejavu serif-bold-r-normal--',

'-misc-dejavu sans-medium-o-normal--' ,
'-misc-dejavu serif condensed-medium-i-semicondensed--',
'-misc-dejavu serif-medium-i-normal--',

'-misc-dejavu sans-medium-r-normal--' ,
'-misc-dejavu sans-medium-r-normal--' ,
'-misc-dejavu serif condensed-medium-r-semicondensed--',
'-misc-dejavu serif-medium-r-normal--',

'-misc-dejavu sans-medium-r-normal--',

'-misc-dejavu serif-medium-r-normal--',
'-misc-dejavu serif-medium-r-normal--',
'-misc-dejavu serif-medium-r-normal--',
'-misc-dejavu serif-medium-r-normal--',
'-misc-dejavu serif-medium-r-normal--',
'-misc-dejavu serif-medium-r-normal--',
'-misc-dejavu serif-medium-r-normal--',

'-misc-dejavu sans condensed-bold-r-semicondensed--',
'-misc-dejavu sans condensed-bold-r-semicondensed--',
'-misc-dejavu sans condensed-bold-r-semicondensed--',
'-misc-dejavu sans condensed-bold-r-semicondensed--',
'-misc-dejavu sans condensed-bold-r-semicondensed--',
'-misc-dejavu sans condensed-bold-r-semicondensed--',
'-misc-dejavu sans condensed-bold-r-semicondensed--',

'-misc-dejavu sans condensed-medium-r-semicondensed--',
'-misc-dejavu sans condensed-medium-r-semicondensed--',
'-misc-dejavu sans condensed-medium-r-semicondensed--',
'-misc-dejavu sans condensed-medium-r-semicondensed--',
'-misc-dejavu sans condensed-medium-r-semicondensed--',
'-misc-dejavu sans condensed-medium-r-semicondensed--',
'-misc-dejavu sans condensed-medium-r-semicondensed--'

);

my $sz=@f;

while(@arr){
	my $line=shift @arr;
	chomp $line;
	my $found=0;
	for(my $i=0;$i<$sz;$i++){
		if($line =~ /$f[$i]/){
			my $a1=$1;
			my $a2=$2;
			my $a3=$3;
			my $a4=$4;
			my $a5=$5;

			if($a5 =~ m/iso8859-1/){
				print F_OUT '"', "$a1", '" "', $r[$i], $a2, $a3, $a4, '-', 'iso8859-5', '"', "\n";
			} else {
				if($a5 =~ m/iso8859-5/) {
					if($a3 =~ m/-m-/){
						print F_OUT '"', "$a1", '" "', $rr[$i], $a2, $a3, $a4, '-', 'iso8859-5', '"', "\n";
					} else {
						print F_OUT '"', "$a1", '" "', $r[$i], $a2, $a3, $a4, '-', 'iso8859-5', '"', "\n";
					}
				} else {
					print F_OUT $line,"\n";
				}
			}

			$found=1;
			goto M;
		}
	}
	M:;
	unless($found){print F_OUT $line,"\n"; }
}
close(F_INP);
close(F_OUT);

